#include<bits/stdc++.h>
using namespace std;
#define MAXN 100007
int n;
int a[MAXN],b[MAXN],sr[MAXN];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin>>n;
    for (int q=1;q<=n;q++) cin>>a[q];
    for (int q=1;q<=n;q++) cin>>b[q];
    for (int q=1;q<=n;q++)
    {
        sr[a[q]]=q;
    }
    int ans=1;
    int w=sr[b[0]]+1;
    for (int q=1;q<n;q++)
    {
        if (w==n || a[w]!=b[q])
        {
            ans++;
            w=sr[b[q]];
        }
        w++;
    }
    cout<<ans<<"\n";
}
